commit:     b0880ec0fc05c6963e73334328e4d20be2fca5a2
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 15 20:58:37 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Mon Oct 15 21:23:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0880ec0

dev-python/watchdog: bump to 0.9.0

Also, remove pytest-cov dependency. Coverage calculations aren't
necessary for our purpose.

Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/watchdog/Manifest              |  1 +
 dev-python/watchdog/watchdog-0.9.0.ebuild | 40 +++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index cb2111b7650..396557ba521 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1 +1,2 @@
 DIST watchdog-0.8.3.tar.gz 83154 BLAKE2B 
d5d0635e83bbcd31544d5ea5811c2f202b0da76bd7a4086e8fc61e3293640e701b04599f95decaa82bee3705dbd6b91ad24b9dbd20edcfc329913600c8a3c932
 SHA512 
61f1db886e8e9a6d78b569329f4d5944c296778a5a34f94fbf115a748fb4c3be422bf4d3cc828e22fcdcd380fdf9009f5bd91a8a5edc87089afc58297a0b946f
+DIST watchdog-0.9.0.tar.gz 90597 BLAKE2B 
4b83061f49204f13ccdb129c31bd53af256e5541d7a3f6452e59682ab64f37dc2a38e9a82ddcc2cec0ed5c52baed27d62b2fab7eebe2433d924209860b5d4a00
 SHA512 
97fca2642209150a611d931d6f2049a9941a3494a6c566bc18eaa45a8fc2fbd02c712b37a85cc1375eeb65715706ba6b8ecf781b99951721988c318f81eff7c6

diff --git a/dev-python/watchdog/watchdog-0.9.0.ebuild 
b/dev-python/watchdog/watchdog-0.9.0.ebuild
new file mode 100644
index 00000000000..127d5540003
--- /dev/null
+++ b/dev-python/watchdog/watchdog-0.9.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy)
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="https://github.com/gorakhargosh/watchdog";
+SRC_URI="https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="test"
+
+CDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+       dev-python/argh[${PYTHON_USEDEP}]
+       dev-python/pathtools[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+       )"
+
+src_prepare() {
+       default
+       rm tox.ini || die
+}
+
+python_test() {
+       pytest -vv || die "Tests failed with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "Bash completion" dev-python/argcomplete
+}

Reply via email to